Mach-O Linker Warning & Errors


#1

Hi,

After upgrading to 2.6.0 I’m unable to combine. The image shows the Mach-O Linker warnings. Here’s the warning in detail:

ld: warning: ignoring file /Applications/Xcode.app/Contents/Developer/Library/Frameworks/ShinobiCharts.framework/ShinobiCharts, missing required architecture x86_64 in file /Applications/Xcode.app/Contents/Developer/Library/Frameworks/ShinobiCharts.framework/ShinobiCharts (3 slices)

I have checked the Target Build Phases to make sure that Shinobi Controls is selected. Any idea what to try next?

Thanks

p.s. Incase attached image doesnt work:

http://postimg.org/image/byp3n68bp/


#2

I have the same issue, any ideas??


#3

Hi all,

Apologies for the issues you’re seeing with this build. It appears that there was an issue in our build process which meant that the trial version of the charts framework didn’t include support for all the available architectures. We’re working to fix that now, and we shall publish a fixed version of the framework shortly. We shall let you know once that version is available to download.

Regards,

Dan


#4

Hey guys,

The hotfix is now ready for download. You should be able to download a new version from http://www.shinobicontrols.com/ios/shinobicharts/price-plans/shinobicharts-premium/shinobicharts-free-trial-form

Apologies again for the inconvenience.